Bug 1076134 - blueberry requires /usr/sbin/rfkill
blueberry requires /usr/sbin/rfkill
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other openSUSE Factory
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-16 08:03 UTC by Bernhard Wiedemann
Modified: 2018-03-31 09:16 UTC (History)
2 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2018-01-16 08:03:35 UTC
related to bug 1074250

IMHO the easiest is to add a /usr/sbin/rfkill symlink back to util-linux
because there might be other user-created code out there using it.
Comment 1 Bernhard Wiedemann 2018-01-18 09:09:09 UTC
proposed fix https://build.opensuse.org/request/show/567215
Comment 2 Stanislav Brabec 2018-01-19 13:59:02 UTC
I agree. For Leap 15 * and SLE 15 * series, it should be kept.

But at least SUSE tools should be updated as well, because rfkill can be called without root.

I have been thinking about a warning wrapper, but /usr/sbin is preferred over /usr/bin, so it is not possible.
Comment 3 Stanislav Brabec 2018-01-26 16:27:53 UTC
util-linux-2.31.1 moves rfkill to /usr/sbin.
Comment 4 Swamp Workflow Management 2018-01-31 13:20:07 UTC
This is an autogenerated message for OBS integration:
This bug (1076134) was mentioned in
https://build.opensuse.org/request/show/571367 Factory / util-linux
Comment 6 Antoine Belvire 2018-03-31 09:16:14 UTC
I believe it's resolved fixed now, otherwise please reopen.